import { Scene } from './../components/scene/scene';
import { Logger } from './../libs/logger';
import { TagsManager } from './../managers/tags-manager';
import { TemplatesManager } from './../managers/templates-manager';
import { UtilityFunctionManager } from './../managers/utility-function-manager';
import { SceneProps } from './scene/scene.props';
export declare class RootScene extends Scene {
    logger: Logger;
    tagsManager: TagsManager;
    templatesManager: TemplatesManager;
    globalUtils: UtilityFunctionManager;
    globalVars: Record<string, any>;
    rootDir: string;
    constructor(props: SceneProps, logger: Logger);
    exec(): Promise<import("./element-shadow").ElementShadow[]>;
    dispose(): Promise<void>;
}
